<?php
if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

load_language('plugin.lang', COA_PATH);
$conf['comments_on_albums'] = unserialize($conf['comments_on_albums']);

// +-----------------------------------------------------------------------+
//                         Save configuration                              |
// +-----------------------------------------------------------------------+
if (isset($_POST['config_submit'])) 
{
  $conf['comments_on_albums'] = array(
    'icon_color' => $_POST['icon_color'],
    'icon_color_over' => $_POST['icon_color_over'],
    );
  
  conf_update_param('comments_on_albums', serialize($conf['comments_on_albums']));
  array_push($page['infos'], l10n('Information data registered in database'));
}  


// +-----------------------------------------------------------------------+
//                               Template                                  |
// +-----------------------------------------------------------------------+

// available icons
$dh = opendir(COA_PATH . 'template/s26');
while (($file = readdir($dh)) !== false ) 
{
  if ($file !== '.' AND $file !== '..' AND in_array(strtolower(get_extension($file)), array('jpg', 'png', 'gif'))) 
  {
    $template->append('COLORS', $file);
  }
}
closedir($dh);
  
$template->assign(
  array(
    'COA_PATH' => COA_PATH,
    'ICON_COLOR' => $conf['comments_on_albums']['icon_color'],
    'ICON_COLOR_OVER' => $conf['comments_on_albums']['icon_color_over'],
    )
  );

$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__).'/template/config.tpl'));
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');

?>